
/* ============================================================================

  pmc-4b-pci ̺귯 
  Tested compiler : VC6.0

============================================================================ */

#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <windows.h>
#include <conio.h>

#include "../../include/pmc4bpci.h"



#define MMC_CARD_NO		15


void WINAPI isr_sub( void )
{
	// MMC Interrupt
}

void main()
{
	MMC_INT16U stat;
	MMC_INT32U t = 0L;
	MMC_INT32 pos;

	stat = pmc4bpci_open(MMC_CARD_NO, isr_sub);
	if(stat!=MMC_OK)
	{
		printf("\nERROR : Can't open 'PMC-4B-PCI(ID=%d)' driver\n", MMC_CARD_NO);

		//  ̹ ݱ
		pmc4bpci_close_all();
		return;
	}
	printf("\nMOVE...\n", MMC_CARD_NO);

	{
		// ޽ŭ   ̺
		// MMC_INT16U CALLAPI pmc4bpci_pls_move(MMC_INT16U id, MMC_INT16U axis,MMC_INT32 pls,MMC_INT16 vel,MMC_INT16 acc)
		// id - CARD ID
		// axis - 
		// pls - ޽
		// vel - ̵ӵ
		// acc -  ӵ
		pmc4bpci_pls_move(MMC_CARD_NO, PMC4BPCI_AXIS_X, 25000, 8000, 1000);

		//  ⶧ ٸ
		while(pmc4bpci_inw(MMC_CARD_NO, rr0) & (PMC4BPCI_AXIS_X>>8))
		{
			//  ī ġ
			pos = pmc4bpci_get_logicalposition(MMC_CARD_NO, PMC4BPCI_AXIS_X);
			// ܺ ڴ
			//pos = pmc4bpci_get_encoderposition(MMC_CARD_NO, PMC4BPCI_AXIS_X);
			printf("\rX-POS : %-10d", pos);
		}

		printf("\nComplete OK!\n");
	}

	//  ̹ ݱ
	pmc4bpci_close_all();
}
