
/* ============================================================================

  pmc-4b-pci ̺귯 
  Tested compiler : VC6.0

============================================================================ */

#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <windows.h>
#include <conio.h>

#include "../include/pmc4bpci.h"



#define MMC_CARD_NO		15


void WINAPI isr_sub( void )
{
	// MMC Interrupt
}

void main()
{
	MMC_INT16U stat;

	stat = pmc4bpci_open(MMC_CARD_NO, isr_sub);
	if(stat!=MMC_OK)
	{
		printf("\nERROR : Can't open 'PMC-4B-PCI(ID=%d)' driver\n", MMC_CARD_NO);

		//  ̹ ݱ
		pmc4bpci_close_all();
		return;
	}

	{
		MMC_INT16U axis = PMC4BPCI_AXIS_X | PMC4BPCI_AXIS_Y | PMC4BPCI_AXIS_Z | PMC4BPCI_AXIS_U ;

		pmc4bpci_pos_smove(MMC_CARD_NO, axis, 25000 , 4000, 1000, 101, 1000, 101);
//		pmc4bpci_pls_smove(MMC_CARD_NO, axis, 25000 , 4000, 1000, 101, 1000, 101);

		pmc4bpci_wait(MMC_CARD_NO, PMC4BPCI_AXIS_X );

		printf("\nComplete OK!\n");
	}

	//  ̹ ݱ
	pmc4bpci_close_all();
}
