Attribute VB_Name = "Module1"
Option Explicit



Public Declare Function UpdateWindow Lib "USER32" (ByVal hWnd As Long) As Long
Public Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

Public Declare Function OpenCard_N Lib "pmc4bpci.dll" (ByVal no As Long, ByVal isr As Long, ByVal base_addr As Long, ByVal size As Long, ByVal irq As Long) As Long
Public Declare Function CloseCard_N Lib "pmc4bpci.dll" (ByVal no As Long) As Long
Public Declare Function CloseCard_all Lib "pmc4bpci.dll" () As Long
Public Declare Function InW_N Lib "pmc4bpci.dll" (ByVal no As Long, ByVal iocc As Integer) As Long
Public Declare Sub OutW_N Lib "pmc4bpci.dll" (ByVal no As Long, ByVal iocc As Integer, ByVal data As Long)
Public Declare Function ValidString Lib "pmc4bpci.dll" (ByVal isr As Long) As String
Public Declare Function GetAxes Lib "pmc4bpci.dll" () As Long


'Public Const DEF_CARD_NO = 11&

' 
Public Const WR0 = 0
Public Const WR1 = 2
Public Const WR2 = 4
Public Const WR3 = 6
Public Const WR4 = 8
Public Const WR5 = 10
Public Const WR6 = 12
Public Const WR7 = 14

Public Const RR0 = 0
Public Const RR1 = 2
Public Const RR2 = 4
Public Const RR3 = 6
Public Const RR4 = 8
Public Const RR5 = 10
Public Const RR6 = 12
Public Const RR7 = 14

Public Const RID = 16      ' card id address (for PMC4BPCI)


'ͷƮ  ÷
Public isrflg0 As Integer
Public isrflg1 As Integer
Public isrflg2 As Integer
Public isrflg3 As Integer
Public isrflg4 As Integer
Public isrflg6 As Integer
Public isrflg7 As Integer
Public isrflg8 As Integer
Public isrflg9 As Integer
Public isrflg10 As Integer
Public isrflg11 As Integer
Public isrflg12 As Integer
Public isrflg13 As Integer
Public isrflg14 As Integer
Public isrflg15 As Integer
Public BoardOk(0 To 15) As Integer


Public Sub wreg1_N(no As Integer, axis As Integer, wdata As Integer)
 Dim ax As Integer
 ax = axis And &HF
 Call OutW_N(no, WR0, (ax * (2 ^ 8)) + &HF)
 Call OutW_N(no, WR1, wdata)
End Sub

Public Sub wreg2_N(no As Integer, axis As Integer, wdata As Integer)
 Dim ax As Integer
 ax = axis And &HF
 Call OutW_N(no, WR0, (ax * (2 ^ 8)) + &HF)
 Call OutW_N(no, WR2, wdata)
End Sub

Public Sub wreg3_N(no As Integer, axis As Integer, wdata As Integer)
 Dim ax As Integer
 ax = axis And &HF
 Call OutW_N(no, WR0, (ax * (2 ^ 8)) + &HF)
 Call OutW_N(no, WR3, wdata)
End Sub

Public Sub command_N(no As Integer, axis As Integer, cmd As Integer)
 Dim ax As Integer
 ax = axis And &HF
 Call OutW_N(no, WR0, (ax * (2 ^ 8)) + cmd)
End Sub

Public Sub range_N(no As Integer, axis As Integer, wdata As Long)
 Dim wd As Long
 Dim ax As Integer
 ax = axis And &HF
 wd = wdata
 If wd < 1 Then wd = 1
 If wd > 8000000 Then wd = 8000000
 Call OutW_N(no, WR7, (wd \ (2 ^ 16)) And &HFFFF)
 Call OutW_N(no, WR6, (wd And &HFFFF))
 Call OutW_N(no, WR0, (ax * (2 ^ 8)) + &H0)
End Sub

Public Sub acac_N(no As Integer, axis As Integer, wdata As Integer)
 Dim wd, ax As Integer
 ax = axis And &HF
 wd = wdata
 If wd < 1 Then wd = 1
 If wd > 65535 Then wd = 65535
 Call OutW_N(no, WR6, wd)
 Call OutW_N(no, WR0, (ax * (2 ^ 8)) + &H1)
End Sub

Public Sub acc_N(no As Integer, axis As Integer, wdata As Integer)
 Dim wd, ax As Integer
 ax = axis And &HF
 wd = wdata
 If wd < 1 Then wd = 1
 If wd > 8000 Then wd = 8000
 Call OutW_N(no, WR6, wd)
 Call OutW_N(no, WR0, (ax * (2 ^ 8)) + &H2)
End Sub

Public Sub dec_N(no As Integer, axis As Integer, wdata As Integer)
 Dim wd, ax As Integer
 ax = axis And &HF
 wd = wdata
 If wd < 1 Then wd = 1
 If wd > 8000 Then wd = 8000
 Call OutW_N(no, WR6, wd)
 Call OutW_N(no, WR0, (ax * (2 ^ 8)) + &H3)
End Sub

Public Sub startv_N(no As Integer, axis As Integer, wdata As Integer)
 Dim wd, ax As Integer
 ax = axis And &HF
 wd = wdata
 If wd < 1 Then wd = 1
 If wd > 8000 Then wd = 8000
 Call OutW_N(no, WR6, wd)
 Call OutW_N(no, WR0, (ax * (2 ^ 8)) + &H4)
End Sub

Public Sub speed_N(no As Integer, axis As Integer, wdata As Integer)
 Dim wd, ax As Integer
 ax = axis And &HF
 wd = wdata
 If wd < 1 Then wd = 1
 If wd > 8000 Then wd = 8000
 Call OutW_N(no, WR6, wd)
 Call OutW_N(no, WR0, (ax * (2 ^ 8)) + &H5)
End Sub

Public Sub pulse_N(no As Integer, axis As Integer, wdata As Long)
 Dim wd, wd7 As Long
 Dim ax As Integer
 ax = axis And &HF
 wd = wdata
 If wd < -8388608 Then wd = -8388608
 If wd > 268435455 Then wd = 268435455
 wd7 = (wd \ (2 ^ 16)) And &HFFFF
 If (wd7 = 0) And (wd < 0) Then wd7 = -1
 wd = wd And &HFFFF
 Call OutW_N(no, WR7, wd7)
 Call OutW_N(no, WR6, wd)
 Call OutW_N(no, WR0, (ax * (2 ^ 8)) + &H6)
End Sub

Public Sub decp_N(no As Integer, axis As Integer, wdata As Long)
 Dim wd7 As Long
 Dim ax As Integer
 ax = axis And &HF
 wd7 = (wdata \ (2 ^ 16)) And &HFFFF
 If (wd7 = 0) And (wdata < 0) Then wd7 = -1
 Call OutW_N(no, WR7, wd7)
 Call OutW_N(no, WR6, wdata And &HFFFF)
 Call OutW_N(no, WR0, (ax * (2 ^ 8)) + &H7)
End Sub

Public Sub center_N(no As Integer, axis As Integer, wdata As Long)
 Dim wd, wd7 As Long
 Dim ax As Integer
 ax = axis And &HF
 wd = wdata
 If wd < -8388608 Then wd = -8388608
 If wd > 8388607 Then wd = 8388607
 wd7 = (wd \ (2 ^ 16)) And &HFFFF
 If (wd7 = 0) And (wd < 0) Then wd7 = -1
 wd = wd And &HFFFF
 Call OutW_N(no, WR7, wd7)
 Call OutW_N(no, WR6, wd)
 Call OutW_N(no, WR0, (ax * (2 ^ 8)) + &H8)
End Sub

Public Sub lp_N(no As Integer, axis As Integer, wdata As Long)
 Dim wd7 As Long
 Dim ax As Integer
 ax = axis And &HF
 wd7 = (wdata \ (2 ^ 16)) And &HFFFF
 If (wd7 = 0) And (wdata < 0) Then wd7 = -1
 Call OutW_N(no, WR7, wd7)
 Call OutW_N(no, WR6, wdata And &HFFFF)
 Call OutW_N(no, WR0, (ax * (2 ^ 8)) + &H9)
End Sub

Public Sub ep_N(no As Integer, axis As Integer, wdata As Long)
 Dim wd7 As Long
 Dim ax As Integer
 ax = axis And &HF
 wd7 = (wdata \ (2 ^ 16)) And &HFFFF
 If (wd7 = 0) And (wdata < 0) Then wd7 = -1
 Call OutW_N(no, WR7, wd7)
 Call OutW_N(no, WR6, wdata And &HFFFF)
 Call OutW_N(no, WR0, (ax * (2 ^ 8)) + &HA)
End Sub

Public Sub compp_N(no As Integer, axis As Integer, wdata As Long)
 Dim wd7 As Long
 Dim ax As Integer
 ax = axis And &HF
 wd7 = (wdata \ (2 ^ 16)) And &HFFFF
 If (wd7 = 0) And (wdata < 0) Then wd7 = -1
 Call OutW_N(no, WR7, wd7)
 Call OutW_N(no, WR6, wdata And &HFFFF)
 Call OutW_N(no, WR0, (ax * (2 ^ 8)) + &HB)
End Sub

Public Sub compm_N(no As Integer, axis As Integer, wdata As Long)
 Dim wd7 As Long
 Dim ax As Integer
 ax = axis And &HF
 wd7 = (wdata \ (2 ^ 16)) And &HFFFF
 If (wd7 = 0) And (wdata < 0) Then wd7 = -1
 Call OutW_N(no, WR7, wd7)
 Call OutW_N(no, WR6, wdata And &HFFFF)
 Call OutW_N(no, WR0, (ax * (2 ^ 8)) + &HC)
End Sub

Public Sub accofst_N(no As Integer, axis As Integer, wdata As Long)
 Dim wd7 As Long
 Dim ax As Integer
 ax = axis And &HF
 wd7 = (wdata \ (2 ^ 16)) And &HFFFF
 If (wd7 = 0) And (wdata < 0) Then wd7 = -1
 Call OutW_N(no, WR7, wd7)
 Call OutW_N(no, WR6, wdata And &HFFFF)
 Call OutW_N(no, WR0, (ax * (2 ^ 8)) + &HD)
End Sub

Public Function readlp_N(no As Integer, axis As Integer) As Long
 Dim ad As Variant
 Dim d6 As Long
 Dim d7 As Long

 Call OutW_N(no, WR0, (axis * 2 ^ 8) + &H10)
 d6 = InW_N(no, RR6)
 d7 = InW_N(no, RR7)
 ad = d6 + (d7 * (2 ^ 16))
 If ad > &H7FFFFFF Then
  ad = ad - 4294967296#
 End If
 readlp_N = CLng(ad)
End Function

Public Function readep_N(no As Integer, axis As Integer) As Long
 Dim ad As Long
 Dim d6 As Long
 Dim d7 As Long

 Call OutW_N(no, WR0, (axis * 2 ^ 8) + &H11)
 d6 = InW_N(no, RR6)
 d7 = InW_N(no, RR7)
 ad = d6 + (d7 * (2 ^ 16))
  If ad > &H7FFFFFF Then
  ad = ad - 4294967296#
 End If
 readep_N = CLng(ad)
End Function

Public Sub wait_N(no As Integer, axis As Integer)
 Do While (InW_N(no, RR0) And axis)
 Loop
End Sub

Public Sub next_wait_N(no As Integer)
 Do While (InW_N(no, RR0) And &H200) = 0
 Loop
End Sub

Public Sub isr0()
 isrflg1 = 1
End Sub

Public Sub isr1()
 isrflg1 = 1
End Sub

Public Sub isr2()
 isrflg2 = 1
End Sub

Public Sub isr3()
 isrflg3 = 1
End Sub

Public Sub isr4()
 isrflg4 = 1
End Sub

Public Sub isr5()
 isrflg1 = 1
End Sub

Public Sub isr6()
 isrflg2 = 1
End Sub

Public Sub isr7()
 isrflg3 = 1
End Sub

Public Sub isr8()
 isrflg4 = 1
End Sub

Public Sub isr9()
 isrflg1 = 1
End Sub

Public Sub isr10()
 isrflg2 = 1
End Sub

Public Sub isr11()
 isrflg3 = 1
End Sub

Public Sub isr12()
 isrflg4 = 1
End Sub

Public Sub isr13()
 isrflg1 = 1
End Sub

Public Sub isr14()
 isrflg2 = 1
End Sub

Public Sub isr15()
 isrflg3 = 1
End Sub

Public Sub isr16()
 isrflg4 = 1
End Sub



