
#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <windows.h>
#include <conio.h>

#include "../include/pmc4bpci.h"


void main()
{
	#define MMC_CARD_NO		15
	MMC_INT16U  rtn;
	int OpenFlag;

	OpenFlag = pmc4bpci_open(MMC_CARD_NO, NULL );
	if(OpenFlag!=MMC_OK)
	{
		printf("Initialize error!\n");
		return;
	}

	// 
	//   mode register(2) limitԷ½ȣ mode
	// drive pulse mode
	// encoder Է½ȣ mode
	// servo motor ȣ  level ȿ/ȿ 
	// WR2 (Mode register 2)
	// WR2_LMT_SLMTP	=0x0001	 COMP+register software limit 
	// WR2_LMT_SLMTM	=0x0002	 COMP-register software limit 
	// WR2_LMT_LMTMD	=0x0004	 hardware limit(nLMTP,nLMTM) active   (0:,1:)
	// WR2_LMT_HLMTP	=0x0008	 + limitԷ½ȣ(nLMTP)  level(0:low,1:high active)
	// WR2_LMT_HLMTM	=0x0010	 - limitԷ½ȣ(nLMTM)  level(0:low,1:high active)
	// WR2_LMT_CMPSL	=0x0020	 COMP+/- register 񱳴(0:ġ,1:ġ )
	// WR2_DRV_PLSMD	=0x0040	 drive pulse ¹(0:2 pulse,1:1 pulse)
	// WR2_DRV_PLS_L	=0x0080	 drive pulse  level(0:,1:γ)
	// WR2_DRV_DIR_L	=0x0100	 drive pulse ½ȣ  level (0:+϶low,-϶hi,1:+϶hi,-϶low)
	// WR2_ENC_PINMD	=0x0200	 encoderԷ½ȣ(nECA/PPIN,nECB/PMIN) ¹(0:2pulse,1:up/dn pulseԷ)
	// WR2_ENC_PIND0	=0x0400	 encoder 2 pulseԷ ֺ (D1D0 00=1/1, 01=1/2
	// WR2_ENC_PIND1	=0x0800	 encoder 2 pulseԷ ֺ       10=1/4, 11=ȿ)
	// WR2_SRV_ALM_L	=0x1000	 nALARMԷ ȣ  level (0:low, 1:high active)
	// WR2_SRV_ALM_E	=0x2000	 servo motor alarm Է½ȣ nALARM /ȿ (0:ȿ,1:ȿ)
	// WR2_SRV_INP_L	=0x4000	 nINPOSԷ ȣ  lovel (0:low, 1:high active)
	// WR2_SRV_INP_E	=0x8000	 servo motor ġ  Ϸ Է½ȣ nINPOS ȿ/ȿ (0:ȿ,1:ȿ)
	rtn = pmc4bpci_wwr2(MMC_CARD_NO, PMC4BPCI_AXIS_X, WR2_LMT_SLMTP | WR2_LMT_SLMTM);

	// 
	printf("Complete OK!\n");

	pmc4bpci_close_all();
}
