
#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <windows.h>
#include <conio.h>

#include "../include/pmc4bpci.h"


void main()
{
	#define MMC_CARD_NO		15
	MMC_INT16U  rtn;
	int OpenFlag;

	OpenFlag = pmc4bpci_open(MMC_CARD_NO, NULL );
	if(OpenFlag!=MMC_OK)
	{
		printf("Initialize error!\n");
		return;
	}

	// 
	//   mode register(3)
	// manual,  ӵ, S ,
	// ܺ mode ,  OUT4~7 
	//
	// WR3 (Mode register 3)
	// WR3_DRV_MANLD	=0x0001	  drive ӹ(0:ڵ,1:manual)
	// WR3_DRV_DSNSE	=0x0002	 driveӽ  ޴ (0:ӵ  ,1:ӵ  -manual϶ -)
	// WR3_DRV_SACC		=0x0004	/S  (0:, 1:Sڰ)
	// WR3_DRV_EXOP0	=0x0008	ܺԷ½ȣ (D4D3 00=ܺԷ½ȣdrive۹ȿ, 01=drive mode
	// WR3_DRV_EXOP1	=0x0010	ܺԷ½ȣ       10=drive mode, 11=ܺԷ½ȣdrive۹ȿ
	// WR3_OUT_OUTSL	=0x0080	½ȣ nOUT4~7 /drive ΰ(0:,1:driveǥ)
	// WR3_OUT_OUT4		=0x0100	½ȣ Ҷ (0:low level,1:high level)
	// WR3_OUT_OUT5		=0x0200	
	// WR3_OUT_OUT6		=0x0400	
	// WR3_OUT_OUT7		=0x0800	
	rtn = pmc4bpci_wwr3(MMC_CARD_NO, PMC4BPCI_AXIS_X, WR3_DRV_SACC);

	// 
	printf("Complete OK!\n");

	pmc4bpci_close_all();
}
