
/* ============================================================================

  pmc-4b-pci ̺귯 
  Tested compiler : VC6.0

============================================================================ */

#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <windows.h>
#include <conio.h>

#include "../../include/pmc4bpci.h"



#define MMC_CARD_NO		15


void WINAPI isr_sub( void )
{
	// MMC Interrupt
}

void main()
{
	MMC_INT16U stat;

	stat = pmc4bpci_open(MMC_CARD_NO, isr_sub);
	if(stat!=MMC_OK)
	{
		printf("\nERROR : Can't open 'PMC-4B-PCI(ID=%d)' driver\n", MMC_CARD_NO);

		//  ̹ ݱ
		pmc4bpci_close_all();
		return;
	}

	//  homesearch
	{
		MMC_INT16U axis = PMC4BPCI_AXIS_X | PMC4BPCI_AXIS_Y | PMC4BPCI_AXIS_Z | PMC4BPCI_AXIS_U ;

		// ʱȭ
		pmc4bpci_set_accoffset(MMC_CARD_NO, axis, 8);		// AO = 8		(reset ġ = 8			)
		pmc4bpci_set_range(MMC_CARD_NO, axis,PMC4BPCI_RANGE);// R = 8000000	( = 1					)
		pmc4bpci_set_acac(MMC_CARD_NO, axis,101);			// K = 101		(ӵ = 619kpps/sec	)
		pmc4bpci_set_acc(MMC_CARD_NO, axis,1000);			// A = 1000		(ӵ = 125kpps/sec		)
		pmc4bpci_set_dec(MMC_CARD_NO, axis,1000);			// D = 1000		(ӵ = 125kpps/sec		)
		pmc4bpci_set_startv(MMC_CARD_NO, axis,1000);		// SV= 1000		(ʱӵ = 1000pps			)
		pmc4bpci_set_speed(MMC_CARD_NO, axis,4000);			// V = 4000		(̺ӵ = 4000PPS		)
		pmc4bpci_set_pulse(MMC_CARD_NO, axis,100000);		// P = 100000	( = 100000		)
		pmc4bpci_set_lpcounter(MMC_CARD_NO, axis,0); 		// LP= 0		(ġīͼ = 0		)

		//  homesearch
		pmc4bpci_homesearch_sw(MMC_CARD_NO, axis, 1000);

		//  ⶧ ٸ
		pmc4bpci_wait(MMC_CARD_NO, axis );

		printf("\nComplete OK!\n");
	}

	//  ̹ ݱ
	pmc4bpci_close_all();
}
