
/* ============================================================================

  pmc-4b-pci ̺귯 
  Tested compiler : VC6.0

============================================================================ */

#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <windows.h>
#include <conio.h>

#include "../../include/pmc4bpci.h"



#define MMC_CARD_NO		15


void WINAPI isr_sub( void )
{
	// MMC Interrupt
}

void main()
{
	MMC_INT16U stat;
	MMC_INT32U t = 0L;
	MMC_INT32 xpos, ypos;

	stat = pmc4bpci_open(MMC_CARD_NO, isr_sub);
	if(stat!=MMC_OK)
	{
		printf("\nERROR : Can't open 'PMC-4B-PCI(ID=%d)' driver\n", MMC_CARD_NO);

		//  ̹ ݱ
		pmc4bpci_close_all();
		return;
	}
	printf("\nMOVE...\n", MMC_CARD_NO);

	{
		MMC_INT32 pls = -25000;
		MMC_INT16U axis = PMC4BPCI_AXIS_X | PMC4BPCI_AXIS_Y;

		pmc4bpci_set_acc(MMC_CARD_NO, axis, 1000);
		pmc4bpci_set_speed(MMC_CARD_NO, axis, 8000);

		if(pls>0)
		{
			pmc4bpci_set_pulse(MMC_CARD_NO, axis, pls);
			pmc4bpci_command(MMC_CARD_NO, axis, PMC4BPCI_DRV_PF);
		}
		else
		{
			pmc4bpci_set_pulse(MMC_CARD_NO, axis, ~pls+1);
			pmc4bpci_command(MMC_CARD_NO, axis, PMC4BPCI_DRV_MF);
		}

		//  ⶧ ٸ
		while(pmc4bpci_inw(MMC_CARD_NO, rr0) & (axis>>8))
		{
			//  ī ġ
			xpos = pmc4bpci_get_logicalposition(MMC_CARD_NO, PMC4BPCI_AXIS_X);
			ypos = pmc4bpci_get_logicalposition(MMC_CARD_NO, PMC4BPCI_AXIS_Y);
			printf("\rPOS : %10d, %-10d", xpos, ypos);
		}

		printf("\nComplete OK!\n");
	}

	//  ̹ ݱ
	pmc4bpci_close_all();
}
