
#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <windows.h>
#include <conio.h>

#include "../include/pmc4bpci.h"


void WINAPI isr_sub( void )
{
	// MMC Interrupt
}

void main()
{
	#define MMC_CARD_NO		15
	MMC_INT16U  rtn;
	int OpenFlag;

	OpenFlag = pmc4bpci_open(MMC_CARD_NO, isr_sub );
	if(OpenFlag!=MMC_OK)
	{
		printf("Initialize error!\n");
		return;
	}

	// 
	// X ͷƮ ߻/̺  Է½ȣ/Է½ȣ ȿ 
	// WR1 (Mode register 1)
	// drive Է½ȣ
	// WR1_IN0_L		=0x0001	// Է½ȣ IN0 (0-low,1-high)
	// WR1_IN0_E		=0x0002	// Է½ȣ IN0 ȿ/ȿ (0-ȿ,1-ȿ)
	// WR1_IN1_L		=0x0004
	// WR1_IN1_E		=0x0008
	// WR1_IN2_L		=0x0010
	// WR1_IN2_E		=0x0020
	// WR1_IN3_L		=0x0040
	// WR1_IN3_E		=0x0080
	// interrupt ߻ 
	// WR1_INT_PULSE	=0x0100	// drive pulse rising edge(޽ ö󰡴 ) ͷƮ ߻(drive pulse )
	// WR1_INT_PGECM	=0x0200	// /ġ pulse >= COMP-register ϶
	// WR1_INT_PLCM		=0x0400	// /ġ pulse < COMP-register ϶
	// WR1_INT_PLCP		=0x0800	// /ġ pulse < COMP+register ϶
	// WR1_INT_PGEP		=0x1000	// /ġ pulse >= COMP+register ϶
	// WR1_INT_CEND		=0x2000	//  pulse Ҷ( drive϶)
	// WR1_INT_CSTA		=0x4000	//  pulse Ͽ( drive϶)
	// WR1_INT_DEND		=0x8000	// drive Ͽ
	rtn = pmc4bpci_wwr1(MMC_CARD_NO, PMC4BPCI_AXIS_X, WR1_INT_PGECM | WR1_INT_CEND);

	// 
	printf("Complete OK!\n");

	pmc4bpci_close_all();
}
