
/* ============================================================================

  pmc-4b-pci ̺귯 
  Tested compiler : VC6.0

============================================================================ */

#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <windows.h>
#include <conio.h>

#include "../../include/pmc4bpci.h"



#define MMC_CARD_NO		11


void WINAPI isr_sub( void )
{
	// MMC Interrupt
}

void main()
{
	MMC_INT16U stat;
	MMC_INT32U t = 0L;
	stHomeSearch hs = {
		0x5D00,		// WR6
		0x495F,		// WR7
		0x00000DAC,	// 3500pulse
		0x0032,		// home-search speed
		0x07d0		// move speed
	};

	stat = pmc4bpci_open(MMC_CARD_NO, isr_sub);
	if(stat!=MMC_OK)
	{
		printf("\nERROR : Can't open 'PMC-4B-PCI(ID=%d)' driver\n", MMC_CARD_NO);

		//  ̹ ݱ
		pmc4bpci_close_all();
		return;
	}
	printf("\nMOVE...\n", MMC_CARD_NO);

	{
		// X, Y Ȩġ 
		MMC_INT16U axis = PMC4BPCI_AXIS_X | PMC4BPCI_AXIS_Y;
		MMC_INT32 x, y;
		MMC_INT16U xstat, ystat;

		// ⺻ Ŀ Ʒó  
		hs.move_speed = 5000;

		pmc4bpci_homesearch(MMC_CARD_NO, axis, &hs );

		//  ⶧ ٸ
		while(pmc4bpci_inw(MMC_CARD_NO, rr0) & (PMC4BPCI_AXIS_X>>8))
		{
			// ° ݵ ྿ б
			//  ī ġ
			x = pmc4bpci_get_logicalposition(MMC_CARD_NO, PMC4BPCI_AXIS_X);
			y = pmc4bpci_get_logicalposition(MMC_CARD_NO, PMC4BPCI_AXIS_Y);
			xstat = pmc4bpci_rr2(MMC_CARD_NO, PMC4BPCI_AXIS_X); // home search°
			ystat = pmc4bpci_rr2(MMC_CARD_NO, PMC4BPCI_AXIS_Y); // home search°
			printf("\rStat=0x%04X,0x%04X : Pos=%d,%d  ", xstat, ystat, x, y);
		}

		printf("\nComplete OK!\n");
	}

	//  ̹ ݱ
	pmc4bpci_close_all();
}
